vagrant

Puppet module to manage vagrant and its plugins installation

North Development

unibet

75,184 downloads

63,326 latest version

4.6 quality score

Version information

  • 0.2.1 (latest)
  • 0.2.0
  • 0.1.19
  • 0.1.18
  • 0.1.15
  • 0.1.14
  • 0.1.13
  • 0.1.12
  • 0.1.11
  • 0.1.10
  • 0.1.9
  • 0.1.8
  • 0.1.7
  • 0.1.6
  • 0.1.4
  • 0.1.2
  • 0.1.1
released Jan 25th 2016
This version is compatible with:
  • RedHat
    ,
    CentOS
    ,
    OracleLinux
    ,
    Scientific
    ,
    SLES
    ,
    Debian
    ,
    Ubuntu
    ,
    Windows

Start using this module

Documentation

unibet/vagrant — version 0.2.1 Jan 25th 2016

unibet-vagrant

Build Status Puppet Forge Puppet Forge

Overview

This module ment to take care of vagrant installation, its plugins and boxes. It focuses on the latest vagrant versions and therefore might not work properly with older releases requiring special setup, but it is still possible to request a specific version.

It was inspiried by code from mjanser and emyl modules, but forked due to their inactivity.

Description

This module uses $::osfamily and $::architecture to determine what package to install.

Currently supports:

  • CentOS and Redhat (i386 and x86)
  • Ubuntu and Debian (i386 and x86)
  • Windows (not tested)
  • Darwin (not tested)

Usage

vagrant

Install latest version

include vagrant

Install 1.6.3

class { 'vagrant':
  version => '1.6.3'
}

vagrant::plugin

Install plugin

vagrant::plugin { 'vagrant-hostmanager':
  user => 'myuser'
}

Install plugin in specific version

vagrant::plugin { 'vagrant-hostmanager':
  user    => 'myuser',
  version => 0.8.0
}

There are some more options which are the same as supported by the vagrant plugin command.

  • prerelease
  • source
  • entry_point

vagrant::box

Add a vagrant box for the specified user.

vagrant::box { 'puppetlabs/centos-6.6-64-puppet':
  user => 'vagrant'
}

vagrant::user

Manage vagrant user, its authorized keys and sudo access. Please note that this class works only on *nix systems.

class{'vagrant::user':
  sudo_ensure => absent
}

Limitations

The user parameter is currently ignored on Windows systems (current user is assumed).

$::osfamily usage requires Facter 1.6.1 or later.